Get the logs of one step of a run (live tail while running)
GET
/job-runs/{runId}/steps/{order}/logs
const url = 'https://example.com/job-runs/example/steps/example/logs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/job-runs/example/steps/example/logs \ --header 'Authorization: Bearer <token>'Auth: authenticated
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string
order
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
live
required
True when the step is running and this is a live tail
boolean
logs
required
string
truncated
required
boolean
key
additional properties
Example generated
{ "live": true, "logs": "example", "truncated": true}